## videoanalyse videoanalyse — Analyse video signal |

## Synopsis

    struct              GstVideoAnalyse;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstVideoFilter
                               +----GstVideoAnalyse

## Properties

      "message"                  gboolean              : Read / Write / Construct

## Description

This plugin analyses every video frame and if the "message" property is TRUE, posts an element message with video statistics called `"GstVideoAnalyse"`.

The message's structure contains these fields:

- GstClockTime `"timestamp"`: the timestamp of the buffer that triggered the message.

- GstClockTime `"stream-time"`: the stream time of the buffer.

- GstClockTime `"running-time"`: the running_time of the buffer.

- GstClockTime `"duration"`: the duration of the buffer.

- gdouble `"brightness"`: the average brightness of the frame.

- gdouble `"brightness-variance"`: the brightness variance of the frame.

### Example launch line

    1
    gst-launch -m videotestsrc ! videoanalyse ! ffmpegcolorspace ! ximagesink

This pipeline emits messages to the console for each frame that has been analysed.

Last reviewed on 2007-05-30 (0.10.5)

## Synopsis

### Element Information

plugin | videosignal
author | Wim Taymans <wim@fluendo.com>
class | Filter/Analyzer/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw-yuv, format=(fourcc){ I420, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw-yuv, format=(fourcc){ I420, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstVideoAnalyse

    struct GstVideoAnalyse;

Opaque datastructure.

## Property Details

### The `"message"` property

      "message"                  gboolean              : Read / Write / Construct

Post statics messages.

Default value: TRUE